Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.IsLeafState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.LeafState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.IsLeafState

Enclosing class:
  RuleImpl

    protected class RuleImpl.IsLeafState
    extends RuleImpl.LeafState

`RuleImpl.LeafState` class for rules for which `Rule.isLeaf()` is `true`.

### Constructor Summary

Constructors
`protected` `IsLeafState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `applyFirst​(StackFrame frame)` Applies and post-applies this rule for the first recorded match.
`boolean[]` `matchRecursive​(StackFrame frame)` Matches `#getRule()` for the automatic recursive stage, if applicable.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.RuleImpl.LeafState

`matchSingle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsLeafState

    protected IsLeafState()

### Method Detail

#### matchRecursive

    public boolean[] matchRecursive​(StackFrame frame)

Matches `#getRule()` for the automatic recursive stage, if applicable.

Specified by:
  `matchRecursive` in class `RuleImpl.LeafState`
Parameters:
  `frame` - the stack frame in which to execute the matcher
Returns:
  `true` iff the rule has any matches

#### applyFirst

    public boolean applyFirst​(StackFrame frame)

Applies and post-applies this rule for the first recorded match.

Overrides:
  `applyFirst` in class `RuleImpl.LeafState`
Parameters:
  `frame` - the stack frame in which to execute the applier and post-applier
Returns:
  `true` iff this rule was applied